<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Стать гражданином';
include_once 'sys/inc/thead.php';
title();
err();
aut();
if (isset($_POST['save'])){
if (isset($_POST['ank_mail']) && preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui',$_POST['ank_mail']))
{
$user['ank_mail']=$_POST['ank_mail'];
mysql_query("UPDATE `user` SET `ank_mail` = '$user[ank_mail]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный E-mail';

if (!isset($err))msg('Поздравляем, Ваш статус: Гражданин');
}

echo "<div style='padding:3px'>Что бы стать Гражанином, Вам необходимо подтвердить свой <b>E-mail</b><br /><br />";
echo "<form method='post' action='?'>\n";
echo "Введите свой E-mail:<br />\n<input type='text' name='ank_mail' value='$user[ank_mail]' maxlength='32' /><br />\n";
echo "<input type='submit' name='save' value='Отправить' />\n";
echo "</form>\n";
echo "</div>";

include_once 'sys/inc/tfoot.php';
?>